PaymentsOrdersGet your payments

Get your payments/orders history

Fetch created payments, which reflect the deposit history of the account. Allows filtration by certain parameters. Returns data with pagination.

GET
/api/v1/payments

Query Parameters

ids?array<integer>

Accepts a list of unique ids of payments to filter by. If the list is empty – this filter will be ignored.

page?integer

Pagination parameters. Accepts page number. Pagination starts on page=1. If parameter is not provided, the default value of 1 will be set.

page_size?integer

Pagination parameter. Accepts the size of page for pagination. Minimal page size is 1. If parameter is not provided, the default value of 10 will be set.

period_end?string

Time period filter, determines the end of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

period_start?string

Time period filter, determines the start of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

sort_by?string

Ordering parameter. Defines by which field the data will be sorted. If parameter is not provided, will be used entity's default ordering. To use entity's default sorting, pass _default as value.

Value in"_default" | "date" | "created_at" | "amount" | "status" | "id" | "transaction_id" | "payment_gateway_id"
sort_order?string

Ordering parameter. Defines the order of sorting (asc or desc). If parameter is not provided, will be used entity's default ordering.

Value in"asc" | "desc"
statuses?array<>

Accepts a list of payment statuses to filter by. If the list is empty – this filter will be ignored.

Header Parameters

Authorization*string

Your API token

Response Body

application/json

application/json

application/json

curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/payments" \  -H "Authorization: string"
{
  "data": [
    {
      "amount": 0,
      "amount_gross": 0,
      "created_at": "string",
      "destination": "voice",
      "id": 0,
      "paid_at": "string",
      "payment_gateway_id": 0,
      "payment_gateway_title": "string",
      "payment_gateway_unique_id": "string",
      "status": "undefined",
      "transaction_id": "string",
      "url": "string",
      "wallet_address": "string",
      "wallet_id": 0
    }
  ],
  "page": 0,
  "page_size": 0,
  "total": 0,
  "total_pages": 0
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
Form Call To Action

Contact us

You can always send us a message or email. Weʼd be happy to help you out.